List deployments
GET
/api/v1/deployments
const url = 'https://api.deploybase.eu/api/v1/api/v1/deployments';const options = {method: 'GET', headers: {Authorization: '<Authorization>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.deploybase.eu/api/v1/api/v1/deployments \ --header 'Authorization: <Authorization>'Returns a paginated list of deployments with optional filters
Authorizations
Section titled “ Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “ Query Parameters ” page
integer
Page number (default: 1)
page_size
integer
Items per page (default: 20, max: 100)
project_id
string
Filter by project ID (UUID)
status
string
Filter by status (pending, queued, building, deployed, failed, cancelled)
Responses
Section titled “ Responses ”OK
Media type application/json
object
data
meta
object
request_id
string
timestamp
string
trace_id
string
data
object
deployments
Array<object>
object
branch
string
build_finished_at
string
build_log
string
build_started_at
string
commit_hash
string
commit_message
string
created_at
string
created_by_email
string
deployed_at
string
file_count
integer
has_custom_404
boolean
has_spa_fallback
boolean
id
string
is_preview
boolean
preview_url
string
project_id
string
redirect_rules
Array<object>
object
force
boolean
from
string
status
integer
to
string
status
string
team_id
string
total_bytes
integer
updated_at
string
url
string
page
integer
page_size
integer
total
integer
total_pages
integer
Example
{ "data": { "deployments": [ { "status": "pending" } ] }}Bad Request
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}Unauthorized
Media type application/json
object
code
string
details
error
string
meta
object
request_id
string
timestamp
string
trace_id
string
Example generated
{ "code": "example", "details": "example", "error": "example", "meta": { "request_id": "example", "timestamp": "example", "trace_id": "example" }}